Meu apt-get não funciona no Ubuntu 8.04 [RESOLVIDO]

1. Meu apt-get não funciona no Ubuntu 8.04 [RESOLVIDO]

Cleiton Novais dos Santos
cleitonnovais

(usa Debian)

Enviado em 07/06/2008 - 19:54h

Olá pessoal boa noite, sou novo no vivaolinux, e vou te falar o linux é bastante complicado mas não impossivel de mexer!
Bom vamos ao que interessa instalei o linux Ubuntu 8.04 e não consigo fazer funcionar o meu apt-get de jeito nenhum!

[email protected]:~$ sudo apt-get install apache2
Lendo lista de pacotes... Pronto
Construindo árvore de dependências
Lendo estado da informação... Pronto
E: Impossível achar pacote apache2

Este é o erro que acontece em todos os programas que eu quero instalar!
e ja tenteti tambem atualizar o apt-get
apt-get update
etc....
Sera que alguem pode me ajudar, vlw galera


  


2. MELHOR RESPOSTA

Alberto Jorge Mesquita da Costa
ajmesquita

(usa Debian)

Enviado em 13/08/2008 - 11:07h

Olá a todos,

Façam estes procedimentos pois ai ele funcionará:

no terminal digite o seguinte:
export http_proxy=http://seu ip:sua porta
e tecle enter

exemplo:
export http_proxy=http://172.20.1.133:8080

Após isto dê o comando sudo apt-get update

e depois tudo funcionará.

Envie resposta se conseguiu resolver seu problema.

Abraços a todos.

3. Re: Meu apt-get não funciona no Ubuntu 8.04 [RESOLVIDO]

Thiago Branco Meurer
thiagopriest

(usa Debian)

Enviado em 07/06/2008 - 20:00h

Teu problema deve ser os repositórios.

abra o arquivo no terminal

# gedit /etc/apt/sources.list

como root.

e cole aqui o que tem lá...


4. olha

ronnie peterson bacelar martins
dbahiaz

(usa OpenSuSE)

Enviado em 07/06/2008 - 21:41h

e v se resolve

http://vivaolinux.com.br/comunidades/verTopico.php?codigo=9&codtopico=20268


5. Re: Meu apt-get não funciona no Ubuntu 8.04 [RESOLVIDO]

Cleiton Novais dos Santos
cleitonnovais

(usa Debian)

Enviado em 08/06/2008 - 00:25h

# Ubuntu supported packages

deb http://us.archive.ubuntu.com/ubuntu hardy main restricted
deb-src http://us.archive.ubuntu.com/ubuntu hardy main multiverse universe restricted
deb http://us.archive.ubuntu.com/ubuntu hardy-updates main restricted
deb-src http://us.archive.ubuntu.com/ubuntu hardy-updates main multiverse universe restricted
deb http://security.ubuntu.com/ubuntu hardy-security main restricted
deb-src http://security.ubuntu.com/ubuntu hardy-security main multiverse universe restricted


# Ubuntu community supported packages

deb http://us.archive.ubuntu.com/ubuntu hardy universe multiverse
deb http://us.archive.ubuntu.com/ubuntu hardy-updates universe multiverse
deb http://security.ubuntu.com/ubuntu hardy-security universe multiverse

Esta é a sources.list que coloquei!
O caso do apache2 foi um exemplo, porem nada que eu mando instalar funciona, nem atualizar o apt-get ele deixa!
Ser for problema na sources.list e alguem quiser me manda uma, por favor, se sinta a vontade!

Muito Obrigado
Cleiton Novais

# Ubuntu backports project

deb http://us.archive.ubuntu.com/ubuntu hardy-backports main universe multiverse restricted
deb-src http://us.archive.ubuntu.com/ubuntu hardy-backports main universe multiverse restricted


deb http://us.archive.ubuntu.com/ubuntu hardy-proposed main multiverse universe restricted
deb-src http://us.archive.ubuntu.com/ubuntu hardy-proposed main multiverse universe restricted


6. Re: Meu apt-get não funciona no Ubuntu 8.04 [RESOLVIDO]

Cleiton Novais dos Santos
cleitonnovais

(usa Debian)

Enviado em 08/06/2008 - 00:27h

Esta sources.list acima é a minha, o apache2 so foi um exemplo porem, nada no apt-get funciona nem a sua propria atualização


7. Verdade

ronnie peterson bacelar martins
dbahiaz

(usa OpenSuSE)

Enviado em 08/06/2008 - 00:40h

parece que ta correta sim, mais por vias da duvidas subistui ai por essa aqui:


# newer versions of the distribution.

deb http://br.archive.ubuntu.com/ubuntu/ hardy main restricted
deb-src http://br.archive.ubuntu.com/ubuntu/ hardy main restricted

## Major bug fix updates produced after the final release of the
## distribution.
deb http://br.archive.ubuntu.com/ubuntu/ hardy-updates main restricted
deb-src http://br.archive.ubuntu.com/ubuntu/ hardy-updates main restricted

## N.B. software from this repository is ENTIRELY UNSUPPORTED by the Ubuntu
## team, and may not be under a free licence. Please satisfy yourself as to
## your rights to use the software. Also, please note that software in
## universe WILL NOT receive any review or updates from the Ubuntu security
## team.
deb http://br.archive.ubuntu.com/ubuntu/ hardy universe
deb-src http://br.archive.ubuntu.com/ubuntu/ hardy universe
deb http://br.archive.ubuntu.com/ubuntu/ hardy-updates universe
deb-src http://br.archive.ubuntu.com/ubuntu/ hardy-updates universe

## N.B. software from this repository is ENTIRELY UNSUPPORTED by the Ubuntu
## team, and may not be under a free licence. Please satisfy yourself as to
## your rights to use the software. Also, please note that software in
## multiverse WILL NOT receive any review or updates from the Ubuntu
## security team.
deb http://br.archive.ubuntu.com/ubuntu/ hardy multiverse
deb-src http://br.archive.ubuntu.com/ubuntu/ hardy multiverse
deb http://br.archive.ubuntu.com/ubuntu/ hardy-updates multiverse
deb-src http://br.archive.ubuntu.com/ubuntu/ hardy-updates multiverse

## Uncomment the following two lines to add software from the 'backports'
## repository.
## N.B. software from this repository may not have been tested as
## extensively as that contained in the main release, although it includes
## newer versions of some applications which may provide useful features.
## Also, please note that software in backports WILL NOT receive any review
## or updates from the Ubuntu security team.
deb http://br.archive.ubuntu.com/ubuntu/ hardy-backports main restricted universe multiverse
# deb-src http://br.archive.ubuntu.com/ubuntu/ hardy-backports main restricted universe multiverse

## Uncomment the following two lines to add software from Canonical's
## 'partner' repository. This software is not part of Ubuntu, but is
## offered by Canonical and the respective vendors as a service to Ubuntu
## users.
deb http://archive.canonical.com/ubuntu hardy partner
# deb-src http://archive.canonical.com/ubuntu hardy partner

deb http://security.ubuntu.com/ubuntu hardy-security main restricted
deb-src http://security.ubuntu.com/ubuntu hardy-security main restricted
deb http://security.ubuntu.com/ubuntu hardy-security universe
deb-src http://security.ubuntu.com/ubuntu hardy-security universe
deb http://security.ubuntu.com/ubuntu hardy-security multiverse
deb-src http://security.ubuntu.com/ubuntu hardy-security multiverse



8. Re: Meu apt-get não funciona no Ubuntu 8.04 [RESOLVIDO]

Cleiton Novais dos Santos
cleitonnovais

(usa Debian)

Enviado em 08/06/2008 - 00:49h

Ele não funciona continua que é impossivel achar pacote! da uma olhada no erro!

[email protected]:~$ sudo apt-get update
Err http://archive.canonical.com hardy Release.gpg
Não foi possível resolver 'http:'
Err http://archive.canonical.com hardy/partner Translation-pt_BR
Não foi possível resolver 'http:'
Err http://br.archive.ubuntu.com hardy Release.gpg
Não foi possível resolver 'http:'
Err http://br.archive.ubuntu.com hardy/main Translation-pt_BR
Não foi possível resolver 'http:'
Err http://br.archive.ubuntu.com hardy/restricted Translation-pt_BR
Não foi possível resolver 'http:'
Err http://br.archive.ubuntu.com hardy/universe Translation-pt_BR
Não foi possível resolver 'http:'
Err http://br.archive.ubuntu.com hardy/multiverse Translation-pt_BR
Não foi possível resolver 'http:'
Err http://br.archive.ubuntu.com hardy-updates Release.gpg
Não foi possível resolver 'http:'
Err http://br.archive.ubuntu.com hardy-updates/main Translation-pt_BR
Não foi possível resolver 'http:'
Err http://br.archive.ubuntu.com hardy-updates/restricted Translation-pt_BR
Não foi possível resolver 'http:'
Err http://br.archive.ubuntu.com hardy-updates/universe Translation-pt_BR
Não foi possível resolver 'http:'
Err http://br.archive.ubuntu.com hardy-updates/multiverse Translation-pt_BR
Não foi possível resolver 'http:'
Err http://br.archive.ubuntu.com hardy-backports Release.gpg
Não foi possível resolver 'http:'
Err http://br.archive.ubuntu.com hardy-backports/main Translation-pt_BR
Não foi possível resolver 'http:'
Err http://br.archive.ubuntu.com hardy-backports/restricted Translation-pt_BR
Não foi possível resolver 'http:'
Err http://br.archive.ubuntu.com hardy-backports/universe Translation-pt_BR
Não foi possível resolver 'http:'
Err http://br.archive.ubuntu.com hardy-backports/multiverse Translation-pt_BR
Não foi possível resolver 'http:'
Err http://security.ubuntu.com hardy-security Release.gpg
Não foi possível resolver 'http:'
Err http://security.ubuntu.com hardy-security/main Translation-pt_BR
Não foi possível resolver 'http:'
Err http://security.ubuntu.com hardy-security/restricted Translation-pt_BR
Não foi possível resolver 'http:'
Err http://security.ubuntu.com hardy-security/universe Translation-pt_BR
Não foi possível resolver 'http:'
Err http://security.ubuntu.com hardy-security/multiverse Translation-pt_BR
Não foi possível resolver 'http:'
Lendo lista de pacotes... Pronto
W: Falha ao buscar http://br.archive.ubuntu.com/ubuntu/dists/hardy/Release.gpg Não foi possível resolver 'http:'

W: Falha ao buscar http://br.archive.ubuntu.com/ubuntu/dists/hardy/main/i18n/Translation-pt_BR.bz2 Não foi possível resolver 'http:'

W: Falha ao buscar http://br.archive.ubuntu.com/ubuntu/dists/hardy/restricted/i18n/Translation-pt_BR.bz2 Não foi possível resolver 'http:'

W: Falha ao buscar http://br.archive.ubuntu.com/ubuntu/dists/hardy/universe/i18n/Translation-pt_BR.bz2 Não foi possível resolver 'http:'

W: Falha ao buscar http://br.archive.ubuntu.com/ubuntu/dists/hardy/multiverse/i18n/Translation-pt_BR.bz2 Não foi possível resolver 'http:'

W: Falha ao buscar http://br.archive.ubuntu.com/ubuntu/dists/hardy-updates/Release.gpg Não foi possível resolver 'http:'

W: Falha ao buscar http://br.archive.ubuntu.com/ubuntu/dists/hardy-updates/main/i18n/Translation-pt_BR.bz2 Não foi possível resolver 'http:'

W: Falha ao buscar http://br.archive.ubuntu.com/ubuntu/dists/hardy-updates/restricted/i18n/Translation-pt_BR.bz2 Não foi possível resolver 'http:'

W: Falha ao buscar http://br.archive.ubuntu.com/ubuntu/dists/hardy-updates/universe/i18n/Translation-pt_BR.bz2 Não foi possível resolver 'http:'

W: Falha ao buscar http://br.archive.ubuntu.com/ubuntu/dists/hardy-updates/multiverse/i18n/Translation-pt_BR.bz2 Não foi possível resolver 'http:'

W: Falha ao buscar http://br.archive.ubuntu.com/ubuntu/dists/hardy-backports/Release.gpg Não foi possível resolver 'http:'

W: Falha ao buscar http://br.archive.ubuntu.com/ubuntu/dists/hardy-backports/main/i18n/Translation-pt_BR.bz2 Não foi possível resolver 'http:'

W: Falha ao buscar http://br.archive.ubuntu.com/ubuntu/dists/hardy-backports/restricted/i18n/Translation-pt_BR.bz2 Não foi possível resolver 'http:'

W: Falha ao buscar http://br.archive.ubuntu.com/ubuntu/dists/hardy-backports/universe/i18n/Translation-pt_BR.bz2 Não foi possível resolver 'http:'

W: Falha ao buscar http://br.archive.ubuntu.com/ubuntu/dists/hardy-backports/multiverse/i18n/Translation-pt_BR.bz2 Não foi possível resolver 'http:'

W: Falha ao buscar http://archive.canonical.com/ubuntu/dists/hardy/Release.gpg Não foi possível resolver 'http:'

W: Falha ao buscar http://archive.canonical.com/ubuntu/dists/hardy/partner/i18n/Translation-pt_BR.bz2 Não foi possível resolver 'http:'

W: Falha ao buscar http://security.ubuntu.com/ubuntu/dists/hardy-security/Release.gpg Não foi possível resolver 'http:'

W: Falha ao buscar http://security.ubuntu.com/ubuntu/dists/hardy-security/main/i18n/Translation-pt_BR.bz2 Não foi possível resolver 'http:'

W: Falha ao buscar http://security.ubuntu.com/ubuntu/dists/hardy-security/restricted/i18n/Translation-pt_BR.bz2 Não foi possível resolver 'http:'

W: Falha ao buscar http://security.ubuntu.com/ubuntu/dists/hardy-security/universe/i18n/Translation-pt_BR.bz2 Não foi possível resolver 'http:'

W: Falha ao buscar http://security.ubuntu.com/ubuntu/dists/hardy-security/multiverse/i18n/Translation-pt_BR.bz2 Não foi possível resolver 'http:'

W: Alguns arquivos de índice falharam para baixar, eles foram ignorados ou os antigos foram usados no lugar.
W: Você terá que executar apt-get update para corrigir esses problemas
[email protected]:~$

este é o erro que ocorre



9. Tua conecção de internet não tá com problema não?

Izabel
[email protected]

(usa Ubuntu)

Enviado em 08/06/2008 - 01:11h



Pois o comando apt-get update funcionou, só que ele não tá achando nada, isso não é problema de conecção?

Que estranho :)
T+


10. Re: Meu apt-get não funciona no Ubuntu 8.04 [RESOLVIDO]

ronnie peterson bacelar martins
dbahiaz

(usa OpenSuSE)

Enviado em 08/06/2008 - 01:31h

Vc ta usando firewall, proxy, seu dns da correto, quando isso comecou?


11. Re: Meu apt-get não funciona no Ubuntu 8.04 [RESOLVIDO]

Cleiton Novais dos Santos
cleitonnovais

(usa Debian)

Enviado em 08/06/2008 - 12:09h

Acho que não é problema de conexao por que estou usando ainternet nele normal, talvez seja por que estou em uma rede windows onde o speedy esta conectado no windows e a unica coisa que faço é colocar o cabo de linux e ele funcionar, talvez possa ser isso, mas como faço para fazer funcionar, já estou com este problema faz algum tempo?


12. Re: Meu apt-get não funciona no Ubuntu 8.04 [RESOLVIDO]

Perfil removido
removido

(usa Nenhuma)

Enviado em 08/06/2008 - 14:38h

Não vejo problemas para não funcionar além da rede.
Você já tentou atualiza-lo através de outra forma (conexão)?



01 02 03